﻿Type=Class
Version=5.88
ModulesStructureVersion=1
B4J=true
@EndOfDesignText@
'Handler class
Sub Class_Globals
	
End Sub

Public Sub Initialize
	
End Sub

Sub Handle(req As ServletRequest, resp As ServletResponse)
	Dim h As SK_Helper	
	Dim skc1 As SK_Column
	skc1.Initialize(12)
	
	Dim row1 As SK_Row
	row1.Initialize
	row1.Columns.Initialize
	row1.Columns.Add(skc1)
	
	Dim c1 As SK_Container
	c1.Initialize
	c1.Align = "center"
	c1.MarginTop = 18
	c1.Rows.Initialize
	c1.Rows.Add(row1)
	
	'Demo stuff
	Dim col As SK_Column
	col.Initialize(12)
	
	col.AddHTML("<hr>")
	col.AddHeader(1,"Server Demo 1")
	col.AddHeader(4,"This demo uses pure JavaScript and web server handlers (no jQuery).")
	
	col.AddButton("Press Me (Returns raw JSON)",True,"call_http_get_async('/svr1',my_callback1)")
	
	col.AddBreak
	col.AddBreak
	
	col.AddButton("Press Me (Returns JSON value)",True,"call_http_get_async('/svr1',my_callback2)")
	
	col.AddBreak
	col.AddBreak
	
	col.AddNamedDivWithContent("notify","display: none !important;",h.HTMLAlert("","","success"))
	
	col.AddButton("Show Success",True,"showNotify('success')")
	col.AddButton("Show Warning",True,"showNotify('warning')")
	col.AddButton("Hide Notification",True,"hideNotify()")
	col.AddButton("Show Error & Close",True,"showNotify2()")
	
	col.AddBreak
	col.AddBreak
	
	col.AddInputText("","server_time","text","")
	col.AddButton("Press Me (Sets Text Field)",True,"call_http_get_async('/svr1',my_callback3)")
		
	Dim row3 As SK_Row
	row3.Initialize
	row3.Columns.Initialize
	row3.Columns.Add(col)
	
	Dim c3 As SK_Container
	c3.Initialize
	c3.Align = "left"
	c3.Padding = 3
	c3.Rows.Initialize
	c3.Rows.Add(row3)
	
	Dim S As SkeletonPage
	S.Initialize
	S.Title = "Skeleton - Server Demo 1"

	S.AddContainer(c1)
	S.AddContainer(c3)
	
	S.AddScript($"<script>
function call_http_get_async(theUrl, callback)
{
    var xmlHttp = new XMLHttpRequest();
    xmlHttp.onreadystatechange = function() {
        if (xmlHttp.readyState == 4 && xmlHttp.status == 200)
            callback(xmlHttp.responseText);
    }
    xmlHttp.open("GET", theUrl, true); // true for asynchronous
    xmlHttp.send(null);
}

function my_callback1(theResponse)
{
	alert(theResponse);
}

function my_callback2(theResponse)
{
	var obj = JSON.parse(theResponse);
	alert(obj.Result);
}

function my_callback3(theResponse)
{
	var obj = JSON.parse(theResponse);
	
	var text_field = document.getElementById('server_time');
	
	text_field.value = obj.Result;
}
function showNotify(theStyle)
{
	var notify = document.getElementById('notify');
	
	if (theStyle == "warning") notify.innerHTML = "<p class='alert alert-warning'><strong>Warning</strong> This is a warning alert</p>";
	if (theStyle == "success") notify.innerHTML = "<p class='alert alert-success'><strong>Success</strong> This is a success alert</p>";
	
	notify.style.display = "block";
}

function showNotify2()
{
	var notify = document.getElementById('notify');
	notify.innerHTML = "<p class='alert alert-error'><strong>Error</strong> This is an error alert</p>";
	
	notify.style.display = "block";
	
	setTimeout(hideNotify, 3000);
}

function hideNotify()
{
	var notify = document.getElementById('notify');
	notify.innerHTML = "<p class='alert alert-success'><strong></strong></p>";
	notify.style.display = "none";
}
</script>"$,True)
	
	resp.Write(S.Render)
End Sub